package com.loan.system.context;

/*
 * ThreadLocal:线程的id----每次运行都是一次新的线程，即客户端的每一次运行都是一个新的线程，每次运行中的
 * Controller，Service，Interceptor都拥有同一个线程id,用于保存当前用户的id
 */
public class BaseContext {

    public static ThreadLocal<Long> threadLocal = new ThreadLocal<>();

    public static void setCurrentId(Long id) {
        threadLocal.set(id);
    }

    public static Long getCurrentId() {
        return threadLocal.get();
    }

    public static void removeCurrentId() {
        threadLocal.remove();
    }

}
